///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class FetchPlantSeedGoals {
/*
{
  "id": 3,
  "name": "Sức khỏe"
}
*/

  int? id;
  String? name;

  FetchPlantSeedGoals({
    this.id,
    this.name,
  });
  FetchPlantSeedGoals.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    return data;
  }
}

class PlantSeedGoalsData {
/*
{
  "data": [
    {
      "id": 3,
      "name": "Sức khỏe"
    }
  ],
  "nextToken": "MTU="
}
*/

  List<FetchPlantSeedGoals>? data;
  String? nextToken;

  PlantSeedGoalsData({
    this.data,
    this.nextToken,
  });
  PlantSeedGoalsData.fromJson(Map<String, dynamic> json) {
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <FetchPlantSeedGoals>[];
      v.forEach((v) {
        arr0.add(FetchPlantSeedGoals.fromJson(v));
      });
      this.data = arr0;
    }
    nextToken = json['nextToken']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['data'] = arr0;
    }
    data['nextToken'] = nextToken;
    return data;
  }
}

class PlantSeedGoalsResponse {
/*
{
  "fetchPlantSeedGoals": {
    "data": [
      {
        "id": 3,
        "name": "Sức khỏe"
      }
    ],
    "nextToken": "MTU="
  }
}
*/

  PlantSeedGoalsData? fetchPlantSeedGoals;

  PlantSeedGoalsResponse({
    this.fetchPlantSeedGoals,
  });
  PlantSeedGoalsResponse.fromJson(Map<String, dynamic> json) {
    fetchPlantSeedGoals = (json['fetchPlantSeedGoals'] != null)
        ? PlantSeedGoalsData.fromJson(json['fetchPlantSeedGoals'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchPlantSeedGoals != null) {
      data['fetchPlantSeedGoals'] = fetchPlantSeedGoals!.toJson();
    }
    return data;
  }
}

class PlantSeedGoals {
/*
{
  "data": {
    "fetchPlantSeedGoals": {
      "data": [
        {
          "id": 3,
          "name": "Sức khỏe"
        }
      ],
      "nextToken": "MTU="
    }
  }
}
*/

  PlantSeedGoalsResponse? data;

  PlantSeedGoals({
    this.data,
  });
  PlantSeedGoals.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null)
        ? PlantSeedGoalsResponse.fromJson(json['data'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
